Bug 1119413 - docker-io systemd unit file specifies environment file. But, does not uses it.
Summary: docker-io systemd unit file specifies environment file. But, does not uses it.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 17:37 UTC by Prudhvi Surapaneni
Modified: 2014-08-23 01:54 UTC (History)
9 users (show)

Fixed In Version: docker-io-1.1.2-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 07:01:51 UTC


Attachments (Terms of Use)

Description Prudhvi Surapaneni 2014-07-14 17:37:22 UTC
Description of problem:


docker-io package installs docker.service systemd unitfile that uses EnvironemtFile (/etc/sysconfig/docker). But, does not uses it on ExecStart.

For our use case we run docker with special storage options to increase the default rootfs size on the container to 30GB. To do that we have to specify additional command line flags to the docker daemon (--storage-opt dm.basesize=30G --storage-opt dm.loopdatasize=200G).

Having to edit ExecStart on every docker-io package update does not scale. This bug requests the use of Environment flags defined in (/etc/sysconfig/docker) to be used on the ExecStart command line.


How reproducible:
Always


Steps to Reproduce:
1. Install docker-io
2. Specify additional command line flags in environment file and start service
3. The service doesn't start with the given flags.

Actual results:
Service doesn't start with correct command line flags

Expected results:
Service starts with correct command line falgs.

Additional info:

Comment 1 Daniel Walsh 2014-07-22 17:39:08 UTC
In RHEL7 we now have

cat /lib/systemd/system/docker.service 
[Unit]
Description=Docker Application Container Engine
Documentation=http://docs.docker.io
After=network.target
Requires=docker.socket

[Service]
Type=notify
EnvironmentFile=-/etc/sysconfig/docker
ExecStart=/usr/bin/docker -d $OPTIONS
Restart=on-failure
LimitNOFILE=1048576
LimitNPROC=1048576

[Install]
WantedBy=multi-user.target

and
cat /etc/sysconfig/docker 
# /etc/sysconfig/docker

# Modify these options if you want to change the way the docker daemon runs
OPTIONS=--selinux-enabled -H fd://

Comment 2 Lokesh Mandvekar 2014-07-23 23:46:20 UTC
ack, adding this to fedora as well. Thanks Prudhvi and Dan

Comment 3 Fedora Update System 2014-07-24 22:59:25 UTC
docker-io-1.0.0-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-1.0.0-9.fc20

Comment 4 Fedora Update System 2014-07-24 23:49:23 UTC
docker-io-1.0.0-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-1.0.0-9.fc19

Comment 5 Fedora Update System 2014-07-26 00:01:48 UTC
Package docker-io-1.0.0-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docker-io-1.0.0-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8877/docker-io-1.0.0-9.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-07-30 07:01:51 UTC
docker-io-1.0.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-08-01 08:05:39 UTC
docker-io-1.1.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-1.1.2-2.fc19

Comment 8 Fedora Update System 2014-08-05 15:55:57 UTC
docker-io-1.1.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-1.1.2-3.fc19

Comment 9 Fedora Update System 2014-08-23 01:54:39 UTC
docker-io-1.1.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.